Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.taglib
Class UIComponentTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  HtmlComponentTagBase, ParamTag, SelectItemsTag, SelectItemTagBase

public abstract class UIComponentTagBase
extends javax.faces.webapp.UIComponentTag

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`UIComponentTagBase()`

Method Summary
`void` | `release()`
`protected void` | `setActionListenerProperty(javax.faces.component.UIComponent component, java.lang.String actionListener)`
`protected void` | `setActionProperty(javax.faces.component.UIComponent component, java.lang.String action)`
`protected void` | `setBooleanProperty(javax.faces.component.UIComponent component, java.lang.String propName, java.lang.String value)`
`void` | `setConverter(java.lang.String converter)`
`void` | `setForceId(java.lang.String aForceId)` Sets the forceId attribute of the tag.
`void` | `setForceIdIndex(java.lang.String aForceIdIndex)` Sets the forceIdIndex attribute of the tag.
`void` | `setImageLocation(java.lang.String aImageLocation)` Sets the image location attribute of the tag.
`protected void` | `setIntegerProperty(javax.faces.component.UIComponent component, java.lang.String propName, java.lang.String value)`
`void` | `setJavascriptLocation(java.lang.String aJavascriptLocation)` Sets the javascript location attribute of the tag.
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`protected void` | `setStringProperty(javax.faces.component.UIComponent component, java.lang.String propName, java.lang.String value)`
`void` | `setStyleLocation(java.lang.String aStyleLocation)` Sets the style location attribute of the tag.
`protected void` | `setValidatorProperty(javax.faces.component.UIComponent component, java.lang.String value)`
`void` | `setValue(java.lang.String value)`
`protected void` | `setValueBinding(javax.faces.component.UIComponent component, java.lang.String propName, java.lang.String value)`
`protected void` | `setValueChangedListenerProperty(javax.faces.component.UIComponent component, java.lang.String valueChangedListener)`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getComponentType, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, getRendererType, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UIComponentTagBase

    public UIComponentTagBase()

Method Detail

### release

    public void release()

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

### setForceId

    public void setForceId(java.lang.String aForceId)

  Sets the forceId attribute of the tag. NOTE: Not every tag that extends this class will actually make use of this attribute. Check the TLD to see which components actually implement it.

  Parameters:
    `aForceId` - The value of the forceId attribute.

### setForceIdIndex

    public void setForceIdIndex(java.lang.String aForceIdIndex)

  Sets the forceIdIndex attribute of the tag. NOTE: Not every tag that extends this class will actually make use of this attribute. Check the TLD to see which components actually implement it.

  Parameters:
    `aForceIdIndex` - The value of the forceIdIndex attribute.

### setValue

    public void setValue(java.lang.String value)

### setConverter

    public void setConverter(java.lang.String converter)

### setJavascriptLocation

    public void setJavascriptLocation(java.lang.String aJavascriptLocation)

  Sets the javascript location attribute of the tag. NOTE: Not every tag that extends this class will actually make use of this attribute. Check the TLD to see which components actually implement it.

  Parameters:
    `aJavascriptLocation` - The alternate javascript location to use.

### setImageLocation

    public void setImageLocation(java.lang.String aImageLocation)

  Sets the image location attribute of the tag. NOTE: Not every tag that extends this class will actually make use of this attribute. Check the TLD to see which components actually implement it.

  Parameters:
    `aImageLocation` - The alternate image location to use.

### setStyleLocation

    public void setStyleLocation(java.lang.String aStyleLocation)

  Sets the style location attribute of the tag. NOTE: Not every tag that extends this class will actually make use of this attribute. Check the TLD to see which components actually implement it.

  Parameters:
    `aStyleLocation` - The alternate style location to use.

### setIntegerProperty

    protected void setIntegerProperty(javax.faces.component.UIComponent component,
                                      java.lang.String propName,
                                      java.lang.String value)

### setStringProperty

    protected void setStringProperty(javax.faces.component.UIComponent component,
                                     java.lang.String propName,
                                     java.lang.String value)

### setBooleanProperty

    protected void setBooleanProperty(javax.faces.component.UIComponent component,
                                      java.lang.String propName,
                                      java.lang.String value)

### setValidatorProperty

    protected void setValidatorProperty(javax.faces.component.UIComponent component,
                                        java.lang.String value)

### setActionProperty

    protected void setActionProperty(javax.faces.component.UIComponent component,
                                     java.lang.String action)

### setActionListenerProperty

    protected void setActionListenerProperty(javax.faces.component.UIComponent component,
                                             java.lang.String actionListener)

### setValueChangedListenerProperty

    protected void setValueChangedListenerProperty(javax.faces.component.UIComponent component,
                                                   java.lang.String valueChangedListener)

### setValueBinding

    protected void setValueBinding(javax.faces.component.UIComponent component,
                                   java.lang.String propName,
                                   java.lang.String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD